/v1/apps/bandwidth

Prev Next
Post
/v1/apps/bandwidth
Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Header parameters
Authorization
stringRequired

Bearer token. Format: Bearer <your_token_here>

Body parameters
Expand All
object
appId
integer (int32)
Minimum0
Example123
deviceId
integer (int64)
Example1234567891011
dlCircuitName
string
Exampleexample string
isDia
boolean
Exampletrue
slaClass
string
ExampleENUM_VALUE
timeWindow
object (statsmonTimeWindow)
bucketSizeSec
integer (int32) Required

the size of the time window in seconds (required)

Minimum0
Example300
oldTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
recentTs
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
ulCircuitName
string
Exampleexample string
Responses
200

OK

Expand All
object
stats
Array of object (ipfixAppBandwidthStats)
object
dlBw
number (double)

Bandwidth in kilo bits per second

Example123.45
ts
object (googleProtobufTimestamp)
nanos
integer (int32)
Example123
seconds
integer (int64)
Example1234567891011
ulBw
number (double)

Bandwidth in kilo bits per second

Example123.45